﻿using System.Collections.Generic;
using System.ServiceModel;

namespace PrismTutorial.ServiceLibrary {

    [ServiceContract]
    interface ICustomerService {

        [OperationContract]
        IList<CustomerDto> GetCustomers();

        [OperationContract]
        IList<CustomerDto> GetFilteredCustomers(string searchCriteria);
    
    }
}
